package sun.security.tools.policytool;

import javax.swing.DefaultListModel;
import javax.swing.JList;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

class ConfirmRemovePolicyEntryOKButtonListener implements ActionListener
{
    private PolicyTool tool;
    private ToolWindow tw;
    private ToolDialog us;
    
    ConfirmRemovePolicyEntryOKButtonListener(PolicyTool tool, ToolWindow tw, ToolDialog us) {
        this.tool = tool;
        this.tw = tw;
        this.us = us;
    }
    
    @Override
    public void actionPerformed(ActionEvent actionEvent) {
        this.tool.removeEntry(this.tool.getEntry()[((JList)this.tw.getComponent(3)).getSelectedIndex()]);
        DefaultListModel<String> dataModel = new DefaultListModel();
        JList<Object> list = new JList(dataModel);
        list.setVisibleRowCount(15);
        list.setSelectionMode(0);
        list.addMouseListener(new PolicyListListener(this.tool, this.tw));
        PolicyEntry[] entry = this.tool.getEntry();
        if (entry != null) {
            for (int i = 0; i < entry.length; ++i) {
                dataModel.addElement(entry[i].headerToString());
            }
        }
        this.tw.replacePolicyList(list);
        this.us.setVisible(false);
        this.us.dispose();
    }
}
